AUPARSE_GET_FIELD_INT(3)

NAME
auparse_get_field_int - get current field's value as an int

SYNOPSIS
#include <auparse.h>

int auparse_get_field_int(auparse_state_t *au);

DESCRIPTION
auparse_get_field_int allows access to the value as an int of the current field of the current record in the current event.

RETURN VALUE
Returns -1 if there is an error with errno set appropriately or the value if errno is zero.

SEE ALSO
auparse_get_field_str(3).

AUTHOR
Steve Grubb